'use strict';

angular.module('thinklive.controllers.agendaController', [])

.controller('agendaController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state, $filter, $mdDialog) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.fn = {}; // scope functions


        $scope.fn.home = function() {
            $state.go('side-menu.home');
        }

        if($storage.checkData('eventData'))
            $scope.data.EventData = JSON.parse($storage.getData('eventData'));

        $fn.agendaList = function() {
            $utils.showLoader();

            $httpService.agendaData($scope.data.EventData[0].id)
            .then(function(success) {
                $scope.data.agendaListData = success.data;
                console.log("agenda details "+JSON.stringify(success.data));

            }, function(error) {
                console.log("error "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        };

        $scope.fn.keyPoint = function(data, id) {
            var keyPointDetails = $filter('filter')(data, {id: id });

            $mdDialog.show({
                templateUrl: 'templates/popups/key-point.html',
                clickOutsideToClose: true,
                parent: angular.element(document.body),
                controller: function($scope, $mdDialog) {
                    $scope.data = {};
                    $scope.data.keyPointDetails = keyPointDetails[0].thought_point;
                    // close the model
                    $scope.cancel = function() {
                        $mdDialog.cancel();
                    };
                },
            })
        };


        $fn.speakerPopupController = function($scope, $mdDialog, speakerData, $storage) {
            $scope.data = {};
            $scope.keynoteSpeakers = speakerData[0].keynote_speaker;
            $scope.speakers = speakerData[0].speaker;

            if($storage.checkData('eventData')) {
                $scope.data.EventData = JSON.parse($storage.getData('eventData'));
            }

            // Accordion functionality
            $scope.KeynoteSpeakerCollapseAll = function(speaker) {
               for(var i in $scope.keynoteSpeakers) {
                   if($scope.keynoteSpeakers[i] != speaker) {
                       $scope.keynoteSpeakers[i].expanded = false;
                   }
               }
               speaker.expanded = !speaker.expanded;
            };

            $scope.speakerCollapseAll = function(speaker) {
               for(var i in $scope.speakers) {
                   if($scope.speakers[i] != speaker) {
                       $scope.speakers[i].expanded = false;
                   }
               }
               speaker.expanded = !speaker.expanded;
            };

            // close the model
            $scope.cancel = function() {
                $mdDialog.cancel();
            };
        }

        $fn.speakerDetail = function(speakerDetails) {
            $mdDialog.show({
                templateUrl: 'templates/popups/agenda-speakers.html',
                parent: angular.element(document.body),
                clickOutsideToClose: true,
                fullscreen: true,
                controller: $fn.speakerPopupController,
                locals: {
                    speakerData: speakerDetails,
                },
            });
        }

        $scope.fn.speakerData = function(data, id) {
            var speakerDetails = $filter('filter')(data, {id: id });
            console.log("speaker details "+JSON.stringify(speakerDetails));
            $fn.speakerDetail(speakerDetails);
        };


        $fn.setDefaults = function() {
            $fn.agendaList();
        }();

    });

})