'use strict';

angular.module('thinklive.controllers.changePasswordController', [])

.controller('changePasswordController', function($configApp, $user, $httpService, $storage, $window, $utils, $ionicPlatform, $scope, $state, $timeout) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.behaviour = {}; // behaviour of page
        $scope.fn = {}; // scope functions
        $scope.data.passwordObject = {}; // form data
        $scope.errors = {}; // server errors

        $scope.data.homeIcon = true;

        $scope.fn.home = function() {
            $state.go('side-menu.home');
        }

        $scope.fn.togglePassword = function() {
            if($scope.behaviour.passwordFieldType == 'password') {
                $scope.behaviour.passwordFieldType = 'text';
                $scope.behaviour.passwordFieldVisibilityImage = $configApp.files.passwordVisibilityOffIcon;
                return;
            }

            $scope.behaviour.passwordFieldType = 'password';
            $scope.behaviour.passwordFieldVisibilityImage = $configApp.files.passwordVisibilityOnIcon;
        };

        $scope.fn.toggleNewPassword = function() {
            if($scope.behaviour.newpasswordFieldType == 'password') {
                $scope.behaviour.newpasswordFieldType = 'text';
                $scope.behaviour.newpasswordFieldVisibilityImage = $configApp.files.passwordVisibilityOffIcon;
                return;
            }

            $scope.behaviour.newpasswordFieldType = 'password';
            $scope.behaviour.newpasswordFieldVisibilityImage = $configApp.files.passwordVisibilityOnIcon;
        };

        // defaults behaviours
        $fn.setDefaults = function() {
            $scope.behaviour.passwordFieldType = 'password';
            $scope.behaviour.newpasswordFieldType = 'password';
            $scope.behaviour.passwordFieldVisibilityImage = $configApp.files.passwordVisibilityOnIcon;
            $scope.behaviour.newpasswordFieldVisibilityImage = $configApp.files.passwordVisibilityOnIcon;
        }();


        $scope.fn.updatePassword = function(data) {
            $utils.showLoader();
            $httpService.updatePassword(data)
            .then(function(success) {
                $state.go('side-menu.displayProfile');
            }, function(error) {
                console.log("error "+JSON.stringify(error));
                if(error.data.hasOwnProperty('detail')) {
                    $scope.errors['password'] = error.data.detail;
                    $scope.passwordForm['password'].$setValidity('server', false);
                } else {
                    for(var key in error.data) {
                        $utils.alert('Error', error.data[key]);
                        break;
                    }
                }
            })
            .then(function() {
                $utils.hideLoader();
            });
        }


        window.addEventListener('native.keyboardshow', keyboardShowHandler);

        function keyboardShowHandler(){
            $timeout(function() {
                $scope.data.homeIcon = false;
            },20);
        }

        window.addEventListener('native.keyboardhide', keyboardHideHandler);

        function keyboardHideHandler(){
            $timeout(function() {
                $scope.data.homeIcon = true;
            },20);
        }


    });
})