'use strict';

angular.module('thinklive.controllers.contactUsController', [])

.controller('contactUsController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state, $timeout) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.fn = {}; // scope functions

        $scope.data.contactData = {};

        $scope.data.homeIcon = true;

        $scope.fn.home = function() {
            $state.go('side-menu.home');
        }

        $scope.fn.contact = function(data) {
            $utils.showLoader();

            $httpService.contact(data)
            .then(function(success) {
                console.log("success "+JSON.stringify(success));
                $scope.data.contactData.message = '';
                $utils.alert('Sent','Thank You! We will get in touch shortly');

            }, function(error) {
                console.log("error "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        }

        window.addEventListener('native.keyboardshow', keyboardShowHandler);
        function keyboardShowHandler(){
            console.log("call fn");
            $timeout(function() {
                $scope.data.homeIcon = false;
            },20);
        }

        window.addEventListener('native.keyboardhide', keyboardHideHandler);
        function keyboardHideHandler(){
            $timeout(function() {
                $scope.data.homeIcon = true;
            },20);
        }

        $scope.fn.email = function(email) {
            $utils.email(email);
        }


        $fn.setDefaults = function() {
        }();

    });

})