'use strict';

angular.module('thinklive.controllers.eventListController', [])

.controller('eventListController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state, $mdDialog, $rootScope) {
    $ionicPlatform.ready(function() {
        console.log('event list ready');

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.errors = {}; // server errors
        $scope.fn = {}; // scope functions

        $fn.getEventList = function() {
            $utils.showLoader();
            $httpService.eventList()
            .then(function(success) {
                $scope.data.EventList = success.data;

                console.log(JSON.stringify(success.data));
            }, function(error) {
                console.log("error event "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        };

        $fn.expressInterest = function(id) {
            $utils.showLoader();
            console.log('insterested in '+id);
            $httpService.expressInterest(id)
            .then(function(success){
                $utils.alert('Yayy!', 'Thanks for your interest. We will get back to you shortly.');
            }, function(error) {
                $utils.alert('Still Awaiting!', 'We have already received your request. Due to heavy response, it might take us a little while to get back to you. Thanks for your patience.');
            })
            .then(function() {
                $utils.hideLoader();
            });
        };

        $scope.fn.eventDetails = function(index) {
            var selectedEvent = $scope.data.EventList[index];
            $utils.showLoader();
            $httpService.eventDetails(selectedEvent['id'])
            .then(function(success) {
                $rootScope.rdata.eventdata = [success.data];
                $storage.setData('eventData', JSON.stringify([success.data]));
                $state.go('side-menu.home');
            }, function(error) {
                console.log("error event "+JSON.stringify(error));

                $utils.confirm('Ohh Snap!', 'You are currently not a part of this event. Do you wish to express your interest to the App Admin for joining this event?')
                .then(function() {
                    $fn.expressInterest(selectedEvent['id']);
                }, function() {});
            })
            .then(function() {
                $utils.hideLoader();
            });
        };

        $fn.setDefaults = function() {
            $fn.getEventList();
        }();
    });
});
