'use strict';

angular.module('thinklive.controllers.feedbackController', [])

.controller('feedbackController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state, $window, $timeout) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.fn = {}; // scope functions

         $scope.data.homeIcon = true;

        $scope.fn.feedback = function(data) {
            $utils.showLoader();

            $httpService.feedback(data, $scope.data.EventData[0].id)
            .then(function(success) {
                console.log("success "+JSON.stringify(success));

                $fn.setDefaults();

                $scope.feedbackForm.$rollbackViewValue();
                $scope.feedbackForm.$setPristine();
                $scope.feedbackForm.$setUntouched();

                $utils.alert('Success', 'Thank You for your valuable feedback.');

            }, function(error) {
                console.log("error "+JSON.stringify(error));
                angular.forEach(error.data, function(value, key) {
                    if(key == 'detail') {
                        $scope.errors.error = value;
                    } else {
                        $scope.errors[key] = value;
                        $scope.feedbackForm[key].$setValidity('server', false);
                    }
                });
            })
            .then(function() {
                $utils.hideLoader();
            });
        };

        $scope.fn.home = function() {
            $state.go('side-menu.home');
        }

        window.addEventListener('native.keyboardshow', keyboardShowHandler);

        function keyboardShowHandler(e){
            $timeout(function() {
                $scope.data.homeIcon = false;
            },20);
        }

        window.addEventListener('native.keyboardhide', keyboardHideHandler);

        function keyboardHideHandler(){
            $timeout(function() {
                $scope.data.homeIcon = true;
            },20);
        }


        $fn.setDefaults = function() {
            $scope.data.feedbackData = {};
            $scope.data.feedbackData.question2 = 1;
            $scope.data.feedbackData.question3 = 1;
            // $scope.data.feedbackData.question4 = 1;
            $scope.data.feedbackData.question5 = 1;
            $scope.data.feedbackData.question6 = 1;
            $scope.data.feedbackData.question7 = 1;

            $scope.errors = {};

            if($storage.checkData('eventData')) {
                $scope.data.EventData = JSON.parse($storage.getData('eventData'));
                $scope.data.feedbackData.event = $scope.data.EventData[0].id;
            }

            $scope.data.feedbackData.user = $user.id;
        };

        $fn.setDefaults();

    });

})