'use strict';

angular.module('thinklive.controllers.homeController', [])

.controller('homeController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state, $mdDialog, $rootScope) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.errors = {}; // server errors
        $scope.fn = {}; // scope functions

        $scope.data.badge = true;

        $scope.fn.eventDetailsPopup = function() {
            $mdDialog.show({
                templateUrl: 'templates/popups/event-details.html',
                clickOutsideToClose: true,
                fullscreen: true,
                parent: angular.element(document.body),
                controller: function($scope, $utils,$mdDialog, $storage) {
                    $scope.data = {};
                    $scope.errors = {};

                    var $fn = {};
                    var $data = {};

                    if($storage.checkData('eventData')) {
                        $scope.data.EventData = JSON.parse($storage.getData('eventData'));
                    }

                    // close the model
                    $scope.cancel = function() {
                        $mdDialog.cancel();
                    };
                },
            })
        };


        $scope.fn.openEventMap = function() {
            if ($scope.data.EventData[0].map_url)
                window.open($scope.data.EventData[0].map_url, '_system', 'location=yes');
        }

        $scope.fn.speaker = function() {
            $state.go('side-menu.speaker');
        }

        $scope.fn.networking = function() {
            $state.go('side-menu.networking');
        }

        $scope.fn.sponsor = function() {
            $state.go('side-menu.sponsor');
        }

        $scope.fn.notification = function() {
            $state.go('side-menu.notification');
            $httpService.notificationCount()
            .then(function(success) {
                console.log("success "+JSON.stringify(success));

            }, function(error) {
                console.log("error event "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        }

        $scope.fn.question = function() {
            $state.go('side-menu.question');
        }

        $scope.fn.feedback = function() {
            $state.go('side-menu.feedback');
        }

        $scope.fn.agenda = function() {
            $state.go('side-menu.agenda');
        }


        $fn.setDefaults = function() {
            if (!$rootScope.rdata.eventdata)
                $state.go('side-menu.eventList');

            $scope.data.EventData = $rootScope.rdata.eventdata;
            $scope.data.EventIcon = $scope.data.EventData[0].image ? $scope.data.EventData[0].image : 'img/finnovation_logo_app.png';

            if($scope.data.EventData[0].last_seen_alert_count != 0)
                $scope.data.badge = false;
            else
                $scope.data.badge = true;

            $scope.data.userData = JSON.parse($storage.getData('user'));
            console.log("user data "+JSON.stringify($scope.data.userData));

            $rootScope.$on('push-received', function() {
                $scope.fn.eventDetails();
            });

        }();

    });

})
