'use strict';

angular.module('thinklive.controllers.networkingController', [])

.controller('networkingController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state, $rootScope) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.fn = {}; // scope functions

        $scope.data.userId = $user.id;

        if($storage.checkData('eventData')) {
            $scope.data.EventData = JSON.parse($storage.getData('eventData'));
            $scope.data.eventId = $scope.data.EventData[0].id;
        }

        $fn.networkingList = function() {
            $utils.showLoader();

            $httpService.networkingData($scope.data.EventData[0].id)
            .then(function(success) {
                console.log("success "+JSON.stringify(success));
                $scope.data.networkingListData = success.data;

            }, function(error) {
                console.log("error "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        };



        $scope.fn.requestEmail = function(eventId, userId, requestUserId) {
            $httpService.requestEmail(eventId, userId, requestUserId)
            .then(function(success) {
                console.log("success "+JSON.stringify(success));
                $fn.networkingList();
            }, function(error) {
                console.log("error "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        }


        $scope.fn.home = function() {
            $state.go('side-menu.home');
        }

        $scope.fn.email = function(email) {
            $utils.email(email);
        }

        $fn.setDefaults = function() {
            $fn.networkingList();
            $rootScope.$on('push-received', function() {
                $fn.networkingList();
            });
        }();

    });

})