'use strict';

angular.module('thinklive.controllers.notificationController', [])

.controller('notificationController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.fn = {}; // scope functions

        $scope.data.noEvent = false;

        $scope.fn.home = function() {
            $state.go('side-menu.home');
        }

        if($storage.checkData('eventData')) {
            $scope.data.EventData = JSON.parse($storage.getData('eventData'));
        } else {
            $scope.data.noEvent = true;
        }

        $scope.fn.requestsData = function() {
            if($scope.data.noEvent)
                return

            $httpService.requestsEmail($scope.data.EventData[0].id)
            .then(function(success) {
                $scope.data.requestedEmails = success.data;

                if($scope.data.requestedEmails.length)
                    $scope.data.selectedIndex = 1;
                else
                    $scope.data.selectedIndex = 0;

                console.log("re success "+JSON.stringify(success));

            }, function(error) {
                console.log("error "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        }


        $scope.fn.requestAccpect = function(eventId, requesterId) {
            $httpService.requestAccpect(eventId, requesterId)
            .then(function(success) {
                console.log("success "+JSON.stringify(success));
                $scope.fn.requestsData();

            }, function(error) {
                console.log("error "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        }

        $scope.fn.requestReject = function(eventId, requesterId) {
            $httpService.requestReject(eventId, requesterId)
            .then(function(success) {
                console.log("success "+JSON.stringify(success));
                $scope.fn.requestsData();

            }, function(error) {
                console.log("error "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        }

        $scope.fn.notificationAlert = function() {
            if($scope.data.noEvent)
                return

            $httpService.notificationAlert($scope.data.EventData[0].id)
            .then(function(success) {
                console.log("success "+JSON.stringify(success));
                $scope.data.notificationAlert = success.data;

            }, function(error) {
                console.log("error "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        }

        $fn.setDefaults = function() {
            $scope.fn.requestsData();
            $scope.fn.notificationAlert();
        }();

    });

})