'use strict';

angular.module('thinklive.controllers.questionController', [])

.controller('questionController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state, $timeout) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.fn = {}; // scope functions

        $scope.data.questionData = {};

        $scope.data.homeIcon = true;

        $scope.fn.home = function() {
            $state.go('side-menu.home');
        }

        if($storage.checkData('eventData'))
            $scope.data.EventData = JSON.parse($storage.getData('eventData'));

        $scope.fn.question = function(data) {
            $utils.showLoader();

            $httpService.question(data, $scope.data.EventData[0].id)
            .then(function(success) {
                console.log("success "+JSON.stringify(success));
                $scope.data.questionData.question = '';
                $utils.alert('Sent','Your question has been posted successfully.');

            }, function(error) {
                console.log("error "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        }

        window.addEventListener('native.keyboardshow', keyboardShowHandler);

        function keyboardShowHandler(){
            $timeout(function() {
                $scope.data.homeIcon = false;
            },20);
        }

        window.addEventListener('native.keyboardhide', keyboardHideHandler);

        function keyboardHideHandler(){
            $timeout(function() {
                $scope.data.homeIcon = true;
            },20);
        }

        $fn.setDefaults = function() {
        }();

    });

})