'use strict';

angular.module('thinklive.controllers.sideMenuController', [])

.controller('sideMenuController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state, $rootScope, $mdSidenav) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.fn = {}; // scope functions

        // toggle side menu
        $rootScope.rfn.toggleSideMenu = function() {
            $mdSidenav('left').toggle();
            $scope.data.userData = JSON.parse($storage.getData('user'));
        };


        $scope.fn.eventList = function() {
            $state.go('side-menu.eventList');
        }

        $scope.fn.contactUs = function() {
            $state.go('side-menu.contactUs');
        }

        $scope.fn.displayProfile = function() {
            $state.go('side-menu.displayProfile');
        }

        $scope.fn.signOut = function() {
            $utils.showLoader();
            $httpService.unRegisterDevice()
            .then(function(success) {}, function(error) {})
            .then(function() {
                $httpService.deleteAuthToken();
                $user.destroy();
                $state.go('sign-in');
                $utils.hideLoader();
            });
        }


        $fn.setDefaults = function() {
            if($storage.checkData('user')) {
                $scope.data.userData = JSON.parse($storage.getData('user'));
            }
        }();

    });

})
