'use strict';

angular.module('thinklive.controllers.speakersController', [])

.controller('speakersController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state, $rootScope, $filter, $mdDialog) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.fn = {}; // scope functions

        if($storage.checkData('eventData'))
            $scope.data.EventData = JSON.parse($storage.getData('eventData'));

        if($storage.checkData('user'))
            $scope.data.userData = JSON.parse($storage.getData('user'));

        $fn.speakerList = function() {
            $utils.showLoader();

            $httpService.speakerData($scope.data.EventData[0].id)
            .then(function(success) {
                console.log("success "+JSON.stringify(success));
                $scope.data.speakerListData = success.data;

            }, function(error) {
                console.log("error "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        };


        $fn.speakerPopupController = function($scope, $mdDialog, name, company, designation, bio, image, title, $storage) {
            $scope.data = {};
            $scope.name = name;
            $scope.company = company;
            $scope.designation = designation;
            $scope.bio = bio;
            $scope.image = image;
            $scope.title = title;

            if($storage.checkData('eventData')) {
                $scope.data.EventData = JSON.parse($storage.getData('eventData'));
            }

            // close the model
            $scope.cancel = function() {
                $mdDialog.cancel();
            };
        }

        $fn.speakerDetail = function(speaker, title) {
            $mdDialog.show({
                templateUrl: 'templates/popups/speaker-popup.html',
                parent: angular.element(document.body),
                clickOutsideToClose: true,
                fullscreen: true,
                controller: $fn.speakerPopupController,
                locals: {
                    name: speaker[0].name,
                    company: speaker[0].company,
                    designation: speaker[0].designation,
                    bio : speaker[0].bio,
                    image : speaker[0].image,
                    title : title
                },
            });
        }

        $scope.fn.showKeynoteSpeakerDetails = function(id) {
            var speaker = $filter('filter')($scope.data.speakerListData[0], {id: id });
            var title = 'Keynote Speaker';
            $fn.speakerDetail(speaker, title);
        };

        $scope.fn.speakerDetails = function(id) {
            var speaker = $filter('filter')($scope.data.speakerListData[1], {id: id });
            var title = 'Speaker';
            $fn.speakerDetail(speaker, title);
        };

        $scope.fn.home = function() {
            $state.go('side-menu.home');
        }

        $fn.setDefaults = function() {
            $fn.speakerList();
        }();

    });

})