'use strict';

angular.module('thinklive.controllers.sponsorController', [])

.controller('sponsorController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state, $filter, $mdDialog) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.fn = {}; // scope functions

        $scope.fn.home = function() {
            $state.go('side-menu.home');
        }

        if($storage.checkData('eventData'))
            $scope.data.EventData = JSON.parse($storage.getData('eventData'));

        $fn.sponsorList = function() {
            $utils.showLoader();

            $httpService.sponsorData($scope.data.EventData[0].id)
            .then(function(success) {
                console.log("success "+JSON.stringify(success));
                $scope.data.sponsorListData = success.data;

            }, function(error) {
                console.log("error "+JSON.stringify(error));
            })
            .then(function() {
                $utils.hideLoader();
            });
        };


        $fn.sponsorPopupController = function($scope, $mdDialog, sponsorType, logo, description, name, eventLogo) {
            $scope.name = name;
            $scope.sponsorType = sponsorType;
            console.log("description "+description);
            if(description == null || description == '')
                $scope.noDescription = 'No Description Available !!';
            else
                $scope.description = description;


            $scope.logo = logo;
            $scope.eventLogo = eventLogo;

            // close the model
            $scope.cancel = function() {
                $mdDialog.cancel();
            };
        }

        $fn.sponsorDetail = function(sponsor) {
            $mdDialog.show({
                templateUrl: 'templates/popups/sponsor.html',
                parent: angular.element(document.body),
                clickOutsideToClose: true,
                fullscreen: true,
                controller: $fn.sponsorPopupController,
                locals: {
                    sponsorType: sponsor[0].type_display,
                    logo: sponsor[0].logo,
                    description: sponsor[0].description,
                    name : sponsor[0].name,
                    eventLogo: $scope.data.EventData[0].image,
                },
            });
        }

        $scope.fn.sponsorDetails = function(id, data) {
            var sponsor = $filter('filter')(data, {id: id });
            console.log("sponsor "+JSON.stringify(sponsor));
            $fn.sponsorDetail(sponsor);
        };


        $fn.setDefaults = function() {
            $fn.sponsorList();
        }();

    });

})
