'use strict';
// service to communicate with thinklive server

angular.module('thinklive.services.authInterceptor', [])

.service('$authInterceptor', function($q, $rootScope) {
    var service = this;

    service.responseError = function(response) {
        console.log("error");
        if (response.status == 401){
            $rootScope.$broadcast('error-401');
        }

        return $q.reject(response);
    };
})

.run(function($httpService, $utils, $user, $ionicPlatform, $state, $rootScope) {
    $ionicPlatform.ready(function() {
        $rootScope.$on('error-401', function() {
            $httpService.unRegisterDevice()
            .then(function(success) {}, function(error) {})
            .then(function() {
                $httpService.deleteAuthToken();
                $user.destroy();
                $state.go('sign-in');
            });
        });

    })
});
